Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2584143003: Repeat footers in paginated context (Closed)

Created:
11 months, 1 week ago by rhogan
Modified:
3 months, 2 weeks ago
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-layout_chromium.org, blink-reviews-paint_chromium.org, chromium-reviews, dglazkov+blink, dshwang, eae+blinkwatch, jchaffraix+rendering, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, rwlbuis, szager+layoutwatch_chromium.org, zoltan1
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Repeat footers in paginated context BUG=656232, 620223 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_layout_tests_slimming_paint_v2 Review-Url: https://codereview.chromium.org/2584143003 Cr-Commit-Position: refs/heads/master@{#492243} Committed: https://chromium.googlesource.com/chromium/src/+/a098f68e0de0ba6a40f2524e0f4b437f76c6e9a3

Patch Set 1 #

Patch Set 2 : bug 656232 #

Patch Set 3 : bug 656232 #

Total comments: 21

Patch Set 4 : bug 656232 #

Patch Set 5 : bug 656232 #

Patch Set 6 : bug 656232 #

Total comments: 54

Patch Set 7 : bug 656232 #

Total comments: 6

Patch Set 8 : bug 656232 #

Patch Set 9 : bug 656232 #

Patch Set 10 : bug 656232 #

Total comments: 22

Patch Set 11 : bug 656232 #

Total comments: 1

Patch Set 12 : bug 656232 #

Patch Set 13 : bug 656232 #

Patch Set 14 : bug 656232 #

Total comments: 12

Patch Set 15 : bug 656232 #

Patch Set 16 : bug 656232 #

Patch Set 17 : bug 656232 #

Patch Set 18 : bug 656232 #

Total comments: 3

Patch Set 19 : bug 656232 #

Patch Set 20 : bug 656232 #

Patch Set 21 : bug 656232 #

Patch Set 22 : bug 656232 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9124 lines, -50 lines) Patch
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row.html View 1 2 3 4 5 6 7 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-2.html View 1 2 3 4 5 6 7 8 1 chunk +52 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-2-expected.html View 1 2 3 4 5 6 7 8 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-3.html View 1 2 3 1 chunk +52 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-3-expected.html View 1 2 3 4 5 6 7 8 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-4.html View 1 2 3 4 5 6 7 1 chunk +35 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-4-expected.html View 1 2 3 4 5 6 7 8 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-multiple-tables-caption-repeating-thead-tfoot-with-border-spacing-at-top-of-row-expected.html View 1 2 3 4 5 6 7 8 1 chunk +41 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-nested-repeating-tfoot.html View 1 2 3 4 5 6 7 8 1 chunk +68 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-nested-repeating-tfoot-expected.html View 1 2 3 4 5 6 7 8 9 1 chunk +74 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot.html View 1 2 3 4 5 6 7 8 1 chunk +57 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-2.html View 1 2 3 4 5 6 7 8 1 chunk +61 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-2-expected.html View 1 2 3 4 5 6 7 8 1 chunk +69 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-3.html View 1 2 3 4 5 6 7 8 1 chunk +58 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-3-expected.html View 1 2 3 4 5 6 7 8 1 chunk +60 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-4.html View 1 2 3 4 5 6 7 8 1 chunk +56 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-4-expected.html View 1 2 3 4 5 6 7 8 1 chunk +60 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-nested-repeating-thead-tfoot-expected.html View 1 2 3 4 5 6 7 8 1 chunk +61 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-tfoot-rows-allowing-break.html View 1 2 3 4 5 6 7 8 9 1 chunk +33 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-tfoot-rows-allowing-break-expected.html View 1 2 3 4 5 6 7 8 9 1 chunk +36 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-cell-straddles-page.html View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-cell-straddles-page-expected.html View 1 2 3 4 5 6 7 8 1 chunk +9 lines, -5 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-cell-straddles-page-unsplittable-div.html View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +50 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-cell-straddles-page-unsplittable-div-expected.html View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +44 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot.html View 1 2 3 1 chunk +55 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-expected.html View 1 2 3 4 5 6 7 8 1 chunk +58 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page.html View 1 2 3 4 5 6 7 8 1 chunk +51 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-break-after-avoid.html View 1 2 3 4 5 6 7 1 chunk +55 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-break-after-avoid-2.html View 1 2 3 4 5 6 7 8 9 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-break-after-avoid-2-expected.html View 1 2 3 4 5 6 7 8 9 1 chunk +34 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-break-after-avoid-3.html View 1 2 3 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-break-after-avoid-3-expected.html View 1 2 3 4 5 6 7 8 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-break-after-avoid-expected.html View 1 2 3 4 5 6 7 8 1 chunk +49 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-starts-middle-of-page-expected.html View 1 2 3 4 5 6 7 8 1 chunk +50 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-with-border-spacing-at-top-of-row.html View 1 2 3 1 chunk +36 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-with-border-spacing-at-top-of-row-expected.html View 1 2 3 4 5 6 7 8 1 chunk +54 lines, -0 lines 0 comments Download
A + third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-with-caption.html View 1 2 3 4 5 6 7 8 2 chunks +8 lines, -19 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-with-caption-expected.html View 1 2 3 4 5 6 7 8 1 chunk +38 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-with-two-captions.html View 1 2 3 4 5 6 7 8 1 chunk +39 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fragmentation/single-line-cells-repeating-thead-tfoot-with-two-captions-expected.html View 1 2 3 4 5 6 7 8 1 chunk +37 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/printing/tfoot-repeats-at-bottom-of-each-page-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/printing/tfoot-repeats-at-bottom-of-each-page-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +713 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/linux/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +713 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/printing/tfoot-repeats-at-bottom-of-each-page-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/printing/tfoot-repeats-at-bottom-of-each-page-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +713 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/mac/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +713 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/printing/tfoot-repeats-at-bottom-of-each-page-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/printing/tfoot-repeats-at-bottom-of-each-page-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +713 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +379 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 Binary file 0 comments Download
A third_party/WebKit/LayoutTests/platform/win/virtual/threaded/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +713 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/printing/tfoot-repeats-at-bottom-of-each-page.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +211 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/printing/tfoot-repeats-at-bottom-of-each-page-multiple-tables.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +385 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/html.css View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutBox.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 3 chunks +10 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutState.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +11 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutState.cpp View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTable.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTable.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +22 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTableSection.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 4 chunks +17 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/layout/LayoutTableSection.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 4 chunks +17 lines, -8 lines 0 comments Download
M third_party/WebKit/Source/core/paint/CollapsedBorderPainter.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +9 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/paint/TableSectionPainter.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/paint/TableSectionPainter.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 3 chunks +73 lines, -4 lines 0 comments Download

Messages

Total messages: 114 (92 generated)
rhogan
HI mstensho - can you have a look when you get the chance?
7 months ago (2017-04-22 11:17:32 UTC) #13
mstensho (USE GERRIT)
On 2017/04/22 11:17:32, rhogan wrote: > HI mstensho - can you have a look when ...
7 months ago (2017-04-24 09:50:04 UTC) #16
mstensho (USE GERRIT)
Haven't reviewed the tests yet. https://codereview.chromium.org/2584143003/diff/40001/third_party/WebKit/Source/core/layout/LayoutTable.cpp File third_party/WebKit/Source/core/layout/LayoutTable.cpp (right): https://codereview.chromium.org/2584143003/diff/40001/third_party/WebKit/Source/core/layout/LayoutTable.cpp#newcode649 third_party/WebKit/Source/core/layout/LayoutTable.cpp:649: // Lay out table ...
7 months ago (2017-04-24 11:57:17 UTC) #17
rhogan
On 2017/04/24 at 11:57:17, mstensho wrote: > https://codereview.chromium.org/2584143003/diff/40001/third_party/WebKit/Source/core/layout/LayoutTable.cpp > File third_party/WebKit/Source/core/layout/LayoutTable.cpp (right): > > https://codereview.chromium.org/2584143003/diff/40001/third_party/WebKit/Source/core/layout/LayoutTable.cpp#newcode649 ...
6 months, 3 weeks ago (2017-05-06 12:46:22 UTC) #22
mstensho (USE GERRIT)
Still not done with the tests. I think I agree now that individual footer positions ...
6 months, 2 weeks ago (2017-05-08 13:56:00 UTC) #31
rhogan
Thanks mstensho for that super review - addressed all your comments I hope. https://codereview.chromium.org/2584143003/diff/100001/third_party/WebKit/LayoutTests/fast/multicol/balance-repeating-table-headers.html File ...
6 months, 2 weeks ago (2017-05-09 19:57:17 UTC) #35
mstensho (USE GERRIT)
I'm still not through the tests. Also, I'd like you to break the changes for ...
6 months, 2 weeks ago (2017-05-10 10:59:04 UTC) #39
rhogan
On 2017/05/10 at 10:59:04, mstensho wrote: > I'm still not through the tests. > > ...
5 months, 1 week ago (2017-06-15 17:37:20 UTC) #52
mstensho (USE GERRIT)
Is this the inspiration you were looking for? :) https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode1142 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:1142: ...
5 months, 1 week ago (2017-06-16 08:43:06 UTC) #53
rhogan
https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode1142 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:1142: remaining_logical_height - layout_state->HeightOffsetForTableFooters(); On 2017/06/16 at 08:43:05, mstensho wrote: ...
5 months ago (2017-06-20 18:46:06 UTC) #55
mstensho (USE GERRIT)
https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutTableSection.cpp File third_party/WebKit/Source/core/layout/LayoutTableSection.cpp (right): https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutTableSection.cpp#newcode2014 third_party/WebKit/Source/core/layout/LayoutTableSection.cpp:2014: ancestor, transform_state, flags); On 2017/06/20 18:46:06, rhogan wrote: > ...
5 months ago (2017-06-20 21:39:05 UTC) #59
rhogan
On 2017/06/20 at 21:39:05, mstensho wrote: > https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutTableSection.cpp > File third_party/WebKit/Source/core/layout/LayoutTableSection.cpp (right): > > https://codereview.chromium.org/2584143003/diff/180001/third_party/WebKit/Source/core/layout/LayoutTableSection.cpp#newcode2014 ...
4 months, 3 weeks ago (2017-07-01 16:41:16 UTC) #70
mstensho (USE GERRIT)
Just got back from vacation. https://codereview.chromium.org/2584143003/diff/260001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2584143003/diff/260001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode1256 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:1256: if (remaining_logical_height_including_footer >= child_logical_height) ...
4 months, 1 week ago (2017-07-17 10:38:08 UTC) #73
rhogan
https://codereview.chromium.org/2584143003/diff/260001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2584143003/diff/260001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode1256 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:1256: if (remaining_logical_height_including_footer >= child_logical_height) On 2017/07/17 at 10:38:08, mstensho ...
4 months ago (2017-07-24 18:56:08 UTC) #78
mstensho (USE GERRIT)
https://codereview.chromium.org/2584143003/diff/260001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp File third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp (right): https://codereview.chromium.org/2584143003/diff/260001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode1256 third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:1256: if (remaining_logical_height_including_footer >= child_logical_height) On 2017/07/24 18:56:06, rhogan wrote: ...
4 months ago (2017-07-25 08:59:32 UTC) #79
rhogan
On 2017/07/25 at 08:59:32, mstensho wrote: > How about this: https://chromium-review.googlesource.com/c/583619/ > > Then, afterwards, ...
3 months, 3 weeks ago (2017-07-31 17:47:36 UTC) #84
rhogan
On 2017/07/31 at 17:47:36, rhogan wrote: > On 2017/07/25 at 08:59:32, mstensho wrote: > > ...
3 months, 3 weeks ago (2017-08-01 18:46:16 UTC) #95
mstensho (USE GERRIT)
Sorry about the delay, and thanks for the ping! Forgot to sweep through my list ...
3 months, 3 weeks ago (2017-08-01 18:58:19 UTC) #96
rhogan
On 2017/08/01 at 18:58:19, mstensho wrote: > https://codereview.chromium.org/2584143003/diff/340001/third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp#newcode1154 > third_party/WebKit/Source/core/layout/LayoutBlockFlow.cpp:1154: // We need to detect ...
3 months, 3 weeks ago (2017-08-04 07:47:59 UTC) #99
mstensho (USE GERRIT)
lgtm
3 months, 3 weeks ago (2017-08-04 08:03:45 UTC) #100
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2584143003/420001
3 months, 2 weeks ago (2017-08-05 16:38:20 UTC) #111
commit-bot: I haz the power
3 months, 2 weeks ago (2017-08-05 16:44:25 UTC) #114
Message was sent while issue was closed.
Committed patchset #22 (id:420001) as
https://chromium.googlesource.com/chromium/src/+/a098f68e0de0ba6a40f2524e0f4b...

Powered by Google App Engine
This is Rietveld efc10ee0f